"use strict";
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
function ButtonFactory(React) {
    return function (props) { return (React.createElement("div", { title: props.title, className: 'hyper-media-icon hoverable', style: __assign({}, props.style, buttonStyle, { WebkitMaskImage: "url(" + props.iconUrl + ")", display: (props.click ? 'inherit' : 'none') }), onClick: props.click })); };
}
exports.ButtonFactory = ButtonFactory;
var buttonStyle = {
    WebkitMaskSize: 'contain',
    WebkitMaskRepeat: 'no-repeat',
    WebkitMaskPosition: 'center',
    opacity: 0.5,
    height: 16,
    width: 17,
    backgroundColor: '#FFF'
};
