"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var BackPlate_1 = require("./BackPlate");
var MediaBar_1 = require("./MediaBar");
function FooterFactory(React) {
    var BackPlate = BackPlate_1.BackPlateFactory(React);
    var MediaBar = MediaBar_1.MediaBarFactory(React);
    return function (props) { return (React.createElement("footer", { className: 'hyper-media hoverable', style: footerStyle },
        React.createElement(BackPlate, null),
        React.createElement(MediaBar, { playerManager: props.playerManager }))); };
}
exports.FooterFactory = FooterFactory;
var footerStyle = {
    position: 'absolute',
    right: 0,
    bottom: 0,
    left: 0,
    display: 'flex',
    justifyContent: 'center',
    alignItems: 'center',
    opacity: 0.5
};
