/// <reference types="node" />
import { EventEmitter } from 'events';
import { HyperMediaConfig } from './types/HyperMediaConfig';
import { MediaPlugin, MediaPluginConstructor } from './types/MediaPlugin';
export declare class PlayerManager extends EventEmitter {
    config: HyperMediaConfig;
    plugins: MediaPlugin[];
    currentPlugin: MediaPlugin;
    constructor(pluginClasses: MediaPluginConstructor[], config: HyperMediaConfig);
    setActivePlugin(newPlugin: MediaPlugin): void;
    validatePlugin(pluginObject: MediaPlugin): boolean;
}
