/// <reference types="react" />
import * as ExternReact from 'react';
interface ButtonProps {
    click: (event: ExternReact.MouseEvent<HTMLDivElement>) => void;
    iconUrl: string;
    style?: ExternReact.CSSProperties;
    title?: string;
}
declare function ButtonFactory(React: typeof ExternReact): React.SFC<ButtonProps>;
export { ButtonFactory, ButtonProps };
