/// <reference types="react" />
import { PlayerManager } from './PlayerManager';
import { HyperMediaConfig } from './types/HyperMediaConfig';
import { MediaPlugin } from './types/MediaPlugin';
import { State } from './types/State';
import { Status } from './types/Status';
import * as ExternReact from 'react';
declare const onRendererWindow: (window: any) => void;
declare function decorateHyper(Hyper: any, {React}: {
    React: typeof ExternReact;
}): any;
declare function decorateConfig(config: any): any;
declare function reduceUI(state: any, {type, config}: {
    type: any;
    config: any;
}): any;
declare function mapHyperState({ui: {hyperMedia}}: {
    ui: {
        hyperMedia: any;
    };
}, map: any): any;
declare function decorateMenu(menu: any): any;
export { onRendererWindow, decorateHyper, decorateConfig, reduceUI, mapHyperState, decorateMenu, PlayerManager, MediaPlugin, HyperMediaConfig, State, Status };
